# Class: MoneroBan

## MoneroBan()

Monero banhammer.

## Constructor

#### new MoneroBan()

Source:
  - src/main/js/daemon/model/MoneroBan.js, line 4

### Methods

#### getHost()

Source:
  - src/main/js/daemon/model/MoneroBan.js, line 14

#### getIp()

Source:
  - src/main/js/daemon/model/MoneroBan.js, line 23

#### getSeconds()

Source:
  - src/main/js/daemon/model/MoneroBan.js, line 41

#### isBanned()

Source:
  - src/main/js/daemon/model/MoneroBan.js, line 32

#### setHost()

Source:
  - src/main/js/daemon/model/MoneroBan.js, line 18

#### setIp()

Source:
  - src/main/js/daemon/model/MoneroBan.js, line 27

#### setIsBanned()

Source:
  - src/main/js/daemon/model/MoneroBan.js, line 36

#### setSeconds()

Source:
  - src/main/js/daemon/model/MoneroBan.js, line 45

#### toJson()

Source:
  - src/main/js/daemon/model/MoneroBan.js, line 10